Selected Filters


Loading...

Availability


DODGE Disc Brake Kits

Individual Parts

Results 876 - 900 of 941

LEED Brakes Front Disc Brake Conversion Kits RFC2002SMX

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,256.99

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2002SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,256.99

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,909.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,909.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,570.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-RFC2001C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,570.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004SMX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,650.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual/Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,650.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC2003-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,597.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-S0116

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,597.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,898.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,898.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $2,037.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC20048405X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $2,037.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,729.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-S0111

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,729.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2006-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,806.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-RFC2006C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,806.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2006SMX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,529.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual/ Power Assist, Drilled/Slotted Rotors, Natural Anodized Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-FC2006SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,529.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2005-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,951.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC20058405X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,951.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2005-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,823.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2005-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,823.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2005-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,802.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2005C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,802.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003-P405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,595.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-RFC2003P405X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,595.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC2001-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,729.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-S0112

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,729.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Rear Disc Brake Conversion Kits RRC4001X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $987.99

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Rear Conversion, Cross-drilled/Slotted Rotors, Red Powdercoated Calipers, Chrysler, Dodge, Plymouth, , 8-1/4 & 9-1/4 Axles Only, Kit

Part Number: LEB-RRC4001X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $987.99

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003-C05PX

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,463.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki

Part Number: LEB-RFC2003C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,463.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001SMX

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,282.99

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2001SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,282.99

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2003SMX

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,286.99

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2003SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,286.99

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

Disc Brake Kit, Forged Dynalite Big Brake, Front, 12.19 in. Solid Surface Rotors, 4-Piston Aluminum Red Powdercoat, Chrysler, Dodge, Kit

Part Number: WIL-140-6376-R

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Brake Kit, 4-Piston Calipers, Front, Chrysler, Dodge, Kit

Part Number: WIL-140-6376-DR

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Disc Brake Kit, OE Replacement, Natural Calipers, Front, Dodge, Kit

Part Number: PWR-KCOE5246

Not Yet Reviewed

Estimated Ship Date: Oct 29, 2026 if ordered today

...Loading

Estimated Ship Date: Oct 29, 2026 if ordered today

Disc Brake Kits, Pads, Drilled/Slotted Rotors, Red Calipers, Rear, Dodge, Kit

Part Number: PWR-KC6544A

Not Yet Reviewed

Estimated Ship Date: Oct 29, 2026 if ordered today

...Loading

Estimated Ship Date: Oct 29, 2026 if ordered today

Disc Brake Kit, Stock Replacement, Front and Rear, Solid Surface, Dodge, Kit

Part Number: PWR-KCOE6563A

Not Yet Reviewed

Estimated Ship Date: Nov 30, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 30, 2026 if ordered today

Disc Brake Kits, Autospecialty Stock Replacement Brake Kits with Calipers, Front, Solid Surface Rotors, 1-piston Calipers, Chrysler, Dodge, Kit

Part Number: PWR-KCOE1714A

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today